Bug 1546811 - python-scss: python3-scss requires both Python 2 and Python 3
Summary: python-scss: python3-scss requires both Python 2 and Python 3
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-scss
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Patrick Uiterwijk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE PYTHON3-PYTHON2
TreeView+ depends on / blocked
 
Reported: 2018-02-19 16:17 UTC by Iryna Shcherbina
Modified: 2018-03-20 10:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-20 10:08:03 UTC


Attachments (Terms of Use)

Description Iryna Shcherbina 2018-02-19 16:17:14 UTC
The python3-scss (1.3.4-12.fc28) RPM requires both Python 2 and Python 3:

$  dnf --disablerepo=* --enablerepo=rawhide repoquery --requires python3-scss | grep python
/usr/bin/python2
/usr/bin/python3
libpython3.6m.so.1.0()(64bit)
python(abi) = 3.6
...

This happened due to recently introduced shebangs mangling [0], and you might see the warnings in the build log:

> + /usr/lib/rpm/redhat/brp-mangle-shebangs
> *** WARNING: mangling shebang in ./usr/lib64/python3.6/site-packages/scss/tool.py from #!/usr/bin/env python to #!/usr/bin/python2. This will become an ERROR, fix it manually!

The executable contains `#!/usr/bin/env python` shebang, which is forbidden by the guidelines and is automatically mangled to `#!/usr/bin/python2` during build. Please fix the shebang to be `#!/usr/bin/python3` explicitly [1] or remove the executable bit from the above file if not needed.

If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here. We'll be happy
to help investigating or fixing this issue!

[0] https://pagure.io/packaging-committee/issue/738#comment-490366
[1] http://python-rpm-porting.readthedocs.io/en/latest/application-modules.html#fixing-shebangs

Comment 1 Fedora End Of Life 2018-02-20 15:37:56 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 2 Jan Beran 2018-03-19 12:02:23 UTC
Hi Patrick,

I have prepared a PR that fixes the problem:

https://src.fedoraproject.org/rpms/python-scss/pull-request/2

May I ask to review and rebuild the package?

Comment 3 Patrick Uiterwijk 2018-03-20 10:08:03 UTC
Hi, thanks for the patch.
I've applied it, and rawhide build is done.


Note You need to log in before you can comment on or make changes to this bug.